Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 454493 - virt-p2v does not work with Windows
Summary: virt-p2v does not work with Windows
Keywords:
Status: CLOSED UPSTREAM
Alias: None
Product: Virtualization Tools
Classification: Community
Component: virt-p2v
Version: unspecified
Hardware: All
OS: Linux
medium
low
Target Milestone: ---
Assignee: Richard W.M. Jones
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-07-08 19:20 UTC by Joseph Scalia
Modified: 2011-08-30 09:59 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-08-30 09:59:16 UTC


Attachments (Terms of Use)

Description Joseph Scalia 2008-07-08 19:20:05 UTC
Description of problem:
P2V does not work with a Windows guest
  
Actual results:
N/A

Expected results:
To be able to boot an iso or otherwise and migrate the Windows bare metal
instance over to Red Hat Virtualization.  Windows 2003 onto Xen would be ideal
for a initial availability.

V2P function could follow later.  This is important for support from 3rd party ISVs

Additional info:

Comment 1 Richard W.M. Jones 2009-01-12 09:43:33 UTC
Here's the message that we get.  Seems like the ntfs driver is
simply missing from the Live CD:

shwithstatus: mount -o ro '/dev/sda1' /mnt/root
mount: unknown filesystem type 'ntfs'
partition detection: /dev/sda1 is Unknown

Comment 2 Alan Pevec 2009-01-12 09:58:01 UTC
NTFS is supported in Fedora using fuse and ntfs-3g, add them to %packages for this LiveCD

Comment 3 Richard W.M. Jones 2009-01-12 10:15:22 UTC
I finally got my MSDN subscription today so at least I can test this now.

Comment 4 Richard W.M. Jones 2009-01-13 09:55:28 UTC
JMH points me at the following tool which can
do P2V for Windows machines:

http://ping.windowsdream.com/

Comment 5 Orion Poplawski 2009-11-04 22:33:50 UTC
Is this still a problem?

Comment 6 Orion Poplawski 2009-11-04 22:43:38 UTC
(In reply to comment #4)
> JMH points me at the following tool which can
> do P2V for Windows machines:
> 
> http://ping.windowsdream.com/  

Any docs on how to use ping to do this?

Comment 7 Richard W.M. Jones 2009-11-04 23:18:33 UTC
(In reply to comment #5)
> Is this still a problem?  

Very much so, yes.  Rewrite in progress.

Comment 11 shmuel siegel 2009-11-24 23:56:28 UTC
(In reply to comment #7)
> > Is this still a problem?  
> 
> Very much so, yes.  Rewrite in progress.  
Any specs? Will it handle WinXP?
Any dates (even wild speculation)?

Comment 12 Richard W.M. Jones 2011-08-30 09:59:16 UTC
Please use the new virt-p2v/virt-v2v which supports Windows.
http://libguestfs.org/virt-v2v/


Note You need to log in before you can comment on or make changes to this bug.